Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 544162 - net-fs/openafs-1.6.11: QA Notice: make jobserver unavailable
Summary: net-fs/openafs-1.6.11: QA Notice: make jobserver unavailable
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal QA (vote)
Assignee: NP-Hardass
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-22 22:09 UTC by Andrew Savchenko
Modified: 2019-01-05 14:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
050_all_job_server.patch (050_all_job_server.patch,395 bytes, patch)
2015-03-22 22:12 UTC, Andrew Savchenko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Savchenko gentoo-dev 2015-03-22 22:09:30 UTC
QA: install
QA Notice: make jobserver unavailable:

        make[3]: warning: jobserver unavailable: using -j1.  Add '+' to parent make rule.
        make[3]: warning: jobserver unavailable: using -j1.  Add '+' to parent make rule.
        make[3]: warning: jobserver unavailable: using -j1.  Add '+' to parent make rule.

$ eix -e openafs
[I] net-fs/openafs
     Available versions:  1.6.2-r1 1.6.5-r1 (~)1.6.11{tbz2}[1] {doc kerberos +modules pam}
     Installed versions:  1.6.11{tbz2}[1](11:22:27 PM 03/22/2015)(doc kerberos modules pam)
Comment 1 Andrew Savchenko gentoo-dev 2015-03-22 22:12:29 UTC
Created attachment 399512 [details, diff]
050_all_job_server.patch

Please note that this bug is not as simple as it seems:

QA warning itself is generated by "scout" build rule and can be fixed by attached patch. But in this case parallel build starts to fail _randomly_. So dependencies should be fixed as well. Considering how crazy build system is, this is not so simple.
Comment 2 Larry the Git Cow gentoo-dev 2019-01-05 14:02:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ee38441e0210b8d43f22bb8afe100d5c2a1c58c

commit 2ee38441e0210b8d43f22bb8afe100d5c2a1c58c
Author:     Andrew Savchenko <bircoph@gentoo.org>
AuthorDate: 2019-01-05 13:51:54 +0000
Commit:     Andrew Savchenko <bircoph@gentoo.org>
CommitDate: 2019-01-05 14:00:13 +0000

    net-fs/openafs: 1.8.2 version bump
    
    - Update to upstream version 1.8.2 and patches from 1_8_x branch
      till 20181001. This fixes some open Gentoo bugs:
        472184 (probably), 544162, 603890 (likely), 640874, 642542.
    - Merge openafs-kernel back into openafs:
      - save lots of build time (configure, compilling common code);
      - original split was required due to problems in the build system
        (e.g. -j1) which are fixed now.
      Now kernels < 4.21 are supported.
    - Add support for new features:
      - enable gssapi via kerberos;
      - allow to choose between namei and inode file servers;
      - add Tivoli TSM API support;
      - conrol ubik-read-while-write mode;
      - deprecate kauth tools (may be enabled via flag);
      - add support for perl bindings via swig;
    - Docs:
      - build api docs (using doxygen);
      - Build PDF docs, support all three generators (fop, dblatex,
        docbook2pdf).
    - Avoid file collision with heimdal (bug 631584).
    
    The client is tested on various configurations, the server is not.
    
    Closes: https://bugs.gentoo.org/472184
    Closes: https://bugs.gentoo.org/544162
    Closes: https://bugs.gentoo.org/603890
    Closes: https://bugs.gentoo.org/631584
    Closes: https://bugs.gentoo.org/640874
    Closes: https://bugs.gentoo.org/642542
    Signed-off-by: Andrew Savchenko <bircoph@gentoo.org>
    Package-Manager: Portage-2.3.53, Repoman-2.3.11

 net-fs/openafs/Manifest             |   3 +
 net-fs/openafs/metadata.xml         |  16 +-
 net-fs/openafs/openafs-1.8.2.ebuild | 341 ++++++++++++++++++++++++++++++++++++
 3 files changed, 358 insertions(+), 2 deletions(-)